Description

We need to perform the following actions for the GRSF Catalogue:

1 - Fix - URLs for the UUIDs ("http://data.d4science.org/ctlg/GRSF....") are still redirecting to BlueBridge, they must be resolved to 

http://i-marine... ;

2 - Fix - the "Go to Login" URL should point to the VRE (public) page of GRSF Catalogue;

3 - Improvement - the Welcome text/disclaimer should be replaced with:

Welcome to the GRSF pilot release!

This catalogue gives access to the pilot release of the GRSF - Global Record of Stocks and Fisheri

es.

Such records results from the integration of information coming from three authoritative sources, 

namely: FIRMS (Fisheries and Resources Monitoring System), RAM (RAM Legacy Stock Assessment Databa

se) and FishSource (Program of the Sustainable Fisheries Partnership)

The GRSF content disseminated through this catalogue is distributed to test the unique identifiers

 logic together with the collation and review of stock and fishery data. Being a beta release, the

 GRSF content and the underlying application may contain defects and a primary purpose of this pil

ot release is to obtain feedback on content quality and software performance and the identificatio

n of defects, as well as the overall usability. As pilot users, you are advised to use caution and

 to not rely in any way on the correct functioning or performance of the application and/or accomp

anying materials.

The GRSF is a living database and updates and additions will continue after its first pilot releas

e.

For further information, or for using as a beta tester the GRSF unique identifiers please contact 

FIRMS-Secretariat@fao.org.

History

#1 - Nov 11, 2019 05:13 PM - Francesco Mangiacrapa

- Description updated

#2 - Nov 11, 2019 05:23 PM - Massimiliano Assante

- Description updated

For the Go To Login link we have 2 options:

1. To generate a link taking the user to the dataset page of the GRSF catalogue within the GRSF VRE. e.g. 

https://i-marine.d4science.org/group/grsf/data-catalogue?path=/dataset/d6cb3ea4-2fe2-3b47-adab-1435ce2053ed

2. To generate a link taking the user to GRSF VRE Home e.g. https://i-marine.d4science.org/group/grsf

Although 1. would be preferable it is one counter effect: if the user clicks "Go to Login" and is not registered to the VRE already she will be shown an

error page (e.g. just like this one but with the correct URL https://i-marine.d4science.org/group/non-existing-page) whereas if we option for 2. the non

registered user is popped up with the possibility to join the VRE before being taken to the VRE Home.

Hope this is clear. Please tell us how to proceed.
#3 - Nov 11, 2019 05:30 PM - Pasquale Pagano

Massimiliano Assante wrote:

For the Go To Login link we have 2 options:

1. To generate a link taking the user to the dataset page of the GRSF catalogue within the GRSF VRE. e.g. 

https://i-marine.d4science.org/group/grsf/data-catalogue?path=/dataset/d6cb3ea4-2fe2-3b47-adab-1435ce2053ed

2. To generate a link taking the user to GRSF VRE Home e.g. https://i-marine.d4science.org/group/grsf

Although 1. would be preferable it is one counter effect: if the user clicks "Go to Login" and is not registered to the VRE already she will be

shown an error page (e.g. just like this one but with the correct URL https://i-marine.d4science.org/group/non-existing-page) 

 This is not an option since all the users at their first access will get an error message and they will disappear forever. 

whereas if we option for 2. the non registered user is popped up with the possibility to join the VRE before being taken to the VRE Home.

 So, let's go for this option. 

Hope this is clear. Please tell us how to proceed.

#4 - Nov 11, 2019 05:43 PM - Massimiliano Assante

This is not an option since all the users at their first access will get an error message and they will disappear forever. 

whereas if we option for 2. the non registered user is popped up with the possibility to join the VRE before being taken to the VRE Home.

 So, let's go for this option. 

 Then the URL is this one @francesco.mangiacrapa@isti.cnr.it 

https://i-marine.d4science.org/group/imarine-gateway/explore?siteId=6551002

#5 - Nov 12, 2019 12:17 PM - Francesco Mangiacrapa

- % Done changed from 0 to 50

by Aureliano Gentile:

We would need this minor edit in the welcome text / disclaimer in

https://i-marine.d4science.org/web/grsf/data-catalogue

FROM:

The GRSF is a living database and updates and additions will continue after its first pilot release.

TO BE CHANGED INTO:

The GRSF is an active database, updates and additions will continue after its first pilot release.

#6 - Nov 13, 2019 10:11 AM - Francesco Mangiacrapa

another request by Aureliano:

the identity icon has to be changed with this one: https://i-marine.d4science.org/image/layout_set_logo?img_id=6552008

#7 - Nov 13, 2019 10:32 AM - Francesco Mangiacrapa

Hi @aureliano.gentile@fao.org,

I have already changed the "Welcome text/disclaimer" (see at https://i-marine.d4science.org/web/grsf/data-catalogue) and the identity icon (also for

the GRSF organisation see at https://i-marine.d4science.org/web/grsf/data-catalogue?path=organization/grsf)

Now, I'm working to fix other minor issues... and I will alert you when the catalogue will be ready to be tested.
#8 - Nov 13, 2019 11:27 AM - Aureliano Gentile

Thanks Francesco, much appreciated.

Please find hereafter an updated welcome text (sorry for that but it is quite sensitive text). In the proposed text please note to remove the link to the

blubridge-grsf page.

Welcome to the GRSF Catalogue (beta)!

The GRSF, the Global Record of Stocks and Fisheries, integrates data from three authoritative sources: FIRMS (Fisheries and Resources Monitoring

System), RAM (RAM Legacy Stock Assessment Database) and FishSource (Program of the Sustainable Fisheries Partnership)

The GRSF content disseminated through this catalogue is distributed to test the logic to generate unique identifiers and review collated stock and

fishery data. This beta release can contain errors and we welcome feedback on content and software performance, as well as the overall usability.

Beta users are advised to use caution and to not rely in any way on the application and/or trust content and accompanying materials.

The GRSF is an active database, updates and additions will continue after the beta release. For further information, or for using the GRSF unique

identifiers as a beta tester please contact FIRMS-Secretariat@fao.org.

#9 - Nov 13, 2019 02:42 PM - Francesco Mangiacrapa

Aureliano Gentile wrote:

Thanks Francesco, much appreciated.

Please find hereafter an updated welcome text (sorry for that but it is quite sensitive text). In the proposed text please note to remove the link to

the blubridge-grsf page.

Welcome to the GRSF Catalogue (beta)!

The GRSF, the Global Record of Stocks and Fisheries, integrates data from three authoritative sources: FIRMS (Fisheries and Resources

Monitoring System), RAM (RAM Legacy Stock Assessment Database) and FishSource (Program of the Sustainable Fisheries Partnership)

The GRSF content disseminated through this catalogue is distributed to test the logic to generate unique identifiers and review collated stock

and fishery data. This beta release can contain errors and we welcome feedback on content and software performance, as well as the overall

usability. Beta users are advised to use caution and to not rely in any way on the application and/or trust content and accompanying materials.

The GRSF is an active database, updates and additions will continue after the beta release. For further information, or for using the GRSF

unique identifiers as a beta tester please contact FIRMS-Secretariat@fao.org.

 Hi @aureliano.gentile@fao.org,

I just updated the welcome text (you can see it at https://i-marine.d4science.org/web/grsf/data-catalogue). Let me know if now it is OK

#10 - Nov 13, 2019 02:46 PM - Aureliano Gentile

Thanks, it looks fine. If really critical I may ask for a further update, otherwise we go ahead like this.

Anything else is pending for the public version https://i-marine.d4science.org/web/grsf/data-catalogue ?

#11 - Nov 13, 2019 05:24 PM - Francesco Mangiacrapa

- % Done changed from 50 to 70

Aureliano Gentile wrote:

Thanks, it looks fine. If really critical I may ask for a further update, otherwise we go ahead like this.

 Don't worry, it is quite easy (and fast) to update the "Welcome Text" by gCube provisioning system.  

Anything else is pending for the public version https://i-marine.d4science.org/web/grsf/data-catalogue ?

 Points 2 and 3 described in the ticket are in place.

About point 1, we need to upgrade a gCube service in production (@roberto.cirillo@isti.cnr.it is responsible for this.). The upgrade will probably be

done by tomorrow. After that, the link https://i-marine.d4science.org/web/grsf/data-catalogue will be visible to all.

#12 - Nov 13, 2019 05:40 PM - Aureliano Gentile

With thanks again, looking forward to your final notice.

#13 - Nov 14, 2019 04:46 PM - Francesco Mangiacrapa

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

All the fixes/improvements above reported have been released and are working fine (see at https://i-marine.d4science.org/web/grsf/data-catalogue)
